Status: Closed Start date: 2008-08-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I would like to have the ability to edit issue schedules on the Gantt chart.  (ie. add a start and end time, drag a bar to prolong due

date)

Related issues:

Is duplicate of Redmine - Feature #2024: gantt chart editing New

History

#1 - 2008-08-23 01:13 - Mischa The Evil

+1 for an implementation of this feature like ClockingIT already has. Though it would be nice to have it configurable per project/role...

#2 - 2008-08-25 08:31 - Boudewijn van Liempd

+1 for this feature

#3 - 2008-08-25 10:16 - Mike Ozornin

Planning in ClockingIT looks really very good.

#4 - 2008-09-01 13:33 - paul k

I'd say its time to think about a "Reporting" tab and what kind of functionality should be consolidated (and added) there. Maybe setup a wiki page for

initial wishlist and implementation ideas?

#5 - 2008-09-01 23:19 - Lane Roathe

Another +1  for this feature; being able to do this would make Redmine much easier to use for planning project schedules!

#6 - 2009-02-27 18:28 - Simon Stearn

+1

#7 - 2010-05-11 16:18 - Andrew Rudenko

can anyone update with the news concerning to this feature?

it will be very helpful.

#8 - 2010-10-03 15:13 - Mischa The Evil

- Category set to Gantt

#9 - 2011-03-28 21:06 - Fardeen GHULAM

+ 100

#10 - 2011-04-08 22:53 - Fardeen GHULAM

i would pay 1500$ for this...

#11 - 2011-05-31 09:01 - Cristian Spiescu

Hello,

I have a possible solution for this, using Gantt4Flex (http://www.gantt4flex.com). I have opened a thread on the forum. 

http://www.redmine.org/boards/1/topics/24077 (actually 2 by mistake: http://www.redmine.org/boards/4/topics/23984).
If people want this and it will be included in the core, we can quickly handle the implementation.

Waiting for feedback.

#12 - 2011-05-31 09:08 - Terence Mill

2 Big questions:

Do we really user flash technology in redmine?

Will you make and are all all needed stuff opensource, e.g GPL lincense?

#13 - 2011-05-31 09:17 - Cristian Spiescu

Do we really user flash technology in redmine?

 I am sorry but I don't understand the question.

Will you make and are all all needed stuff opensource, e.g GPL lincense?

 The Gantt4Flex library is not open source. But it has a license mode where it is available for free for open-source/non-commercial projects.

The development that we would do (that uses Gantt4Flex lib), would be of course open-source.

Is this OK?

Regarding the implementation. In a first phase, the Flex application (that contains the Gantt chart) would communicate with the redmine server

through its API. Additional customization of the Gantt would require modification to the Flex source code (ActionScript 3).

In a second phase, the Flex implementation could be made more generic, and the Redmine Gantt logic could be transferred to JavaScript. This would

mean that many customizations/modifications could be done without recompiling the Flex application.

#14 - 2012-06-16 03:25 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

I close this issue as duplicate with #2024.

#2024 has many patches and discussions.
